Bug 241066 - Replace uses of -webkit-gradient() and -webkit-linear-gradient() in internal CSS
Summary: Replace uses of -webkit-gradient() and -webkit-linear-gradient() in internal CSS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryan Reno
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-28 11:04 PDT by Tim Nguyen (:ntim)
Modified: 2022-06-09 08:58 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Nguyen (:ntim) 2022-05-28 11:04:59 PDT
Source/WebCore/Modules/mediacontrols/mediaControlsBase.css
Source/WebCore/html/shadow/meterElementShadow.css

These usages can be replaced with `linear-gradient`, beware the syntax is different!
Comment 1 Tim Nguyen (:ntim) 2022-05-28 11:07:29 PDT
There's also `-webkit-linear-gradient` in Source/WebCore/Modules/mediacontrols/mediaControlsBase.css which can also be replaced with `linear-gradient`. The syntax is very similar, but differs when it comes to specifying the gradient direction.
Comment 2 Radar WebKit Bug Importer 2022-06-04 11:05:12 PDT
<rdar://problem/94390714>
Comment 3 Ryan Reno 2022-06-08 11:28:42 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1384
Comment 4 EWS 2022-06-09 08:58:37 PDT
Committed r295421 (251427@main): <https://commits.webkit.org/251427@main>

Reviewed commits have been landed. Closing PR #1384 and removing active labels.